@echo off
cls
echo.
echo.
echo Dieses Tool stellt Ihre AUTOEXEC.BAT und CONFIG.SYS
echo wieder her. Sollten Sie öfter ein Backup Ihrer Stardateien anfertigen, 
echo benutzten Sie bitte die Datei FIXMEM.BAT

echo.
echo Wichtig!
echo ==========
echo Bevor Sie die Datei UNDO.BAT starten, vergewissern Sie sich bitte, 
echo daß die Backup-Dateien AUTOEXEC.OLD und CONFIG.OLD weder verschoben noch gelöscht 
echo wurden. Diese Dateien finden Sie im Hauptverzeichnis Ihrer Festplatte.

echo.
echo.
echo.
echo.

choice /c:YN /n Sind Sie sicher, daß Sie fortfahren wollen?  JN
if errorlevel 2 goto quit
if errorlevel 1 goto runApp
:runApp
cls
if not exist c:\autoexec.old goto err1
if not exist c:\config.old  goto err1 
del c:\autoexec.bat
del c:\config.sys
ren c:\autoexec.old autoexec.bat 
ren c:\config.old config.sys
echo.
echo.
echo Ihre Original Autoexec.bat und Config.sys wurden wieder hergestellt.  
echo.
echo Um die Änderung zu aktualisieren, müssen Sie Ihren Computer erneut starten...
echo.
echo.
goto end 
:err1
echo.
echo.
echo Die Original Dateien konnten nicht wieder hergestellt werden!
echo Ihre Backup Dateien scheinen verschoben oder gelöscht worden zu sein!
echo.
echo.
echo.
goto end
:quit
cls
echo.
echo.
echo Um die Dateien zu einem späteren Zeitpunkt wieder herzustellen, geben sie bitte 
echo UNDO.BAT ein.
echo. 
echo.
goto end 

:end